Quarterdeck Corporation
13160 Mindanao Way
Marina del Rey, CA  90292-9705

February 14, 1996

This patchfile implements updates to QEMM 8.0, dated 11-04-95.  The date
on the DOSDATA.SYS file in your QEMM directory should be 11-04-95 ONLY.
If the date on this file is any other date, do not attempt to apply this
patch.  Note particularly that users of QEMM Game Edition -- the version
of QEMM that accompanies Quarterdeck GameRunner -- should not attempt to
apply this patch.

If you own an earlier version of QEMM, please contact Quarterdeck
Customer Service at (800) 354-3222 for upgrade information and orders.

************************************************************************
************************************************************************
                        * IMPORTANT NOTE *

WINDOWS 3.1x OR DOS-ONLY USERS:
------------------------------
If you are currently a Windows 3.1x or DOS-only user, make sure that you
apply this patch from a DOS prompt and *not* from within Windows.  If
you currently boot directly into Windows, make sure that you exit
Windows completely first before applying this patch.

WINDOWS 95 USERS:
----------------
If you are currently a Windows 95 user, please ensure that you apply
this patch from a "Safe Mode - Command Prompt Only" boot.  This is
achieved by pressing the F8 key just as soon as you see the words:

  Starting Windows 95 ...

on your screen.  You will then be presented with a menu of startup
options, which looks like this:

Microsoft Windows 95 Startup Menu
=================================

        1.  Normal
        2.  Logged (\BOOTLOG.TXT)
        3.  Safe mode
        4.  Safe mode with network support
        5.  Step-by-step confirmation
        6.  Command prompt only
    >>  7.  Safe mode command prompt only  <<

The last option, marked above, is the one you should choose before
applying this patch.  If for some reason you miss the Startup menu
option, and go into Windows 95 anyway, please ensure that you close down
Windows 95 completely from the Shutdown option on the Start button, and
repeat the above procedure before applying the patch.

************************************************************************
************************************************************************

This patch should be applied this way:

1) Copy the files which accompany this README: (README.PAT, QEMM801.RTP,
   PATCH.EX_, RUNME.BAT, QEMM801.PAT) into your QEMM directory.

2) Type

   RUNME

After the patch has been successfully applied, you may delete the
following files (if any still exist) from your QEMM directory:

QEMM801.RTP
PATCH.EXE
RUNME.BAT

You should preserve QEMM801.PAT, which helps Technical Support to
identify that you have patched your original copy of QEMM 8.

Please refer to the updated README.TXT file in your QEMM directory.

The version of QEMM dated 2/14/96 incorporates the following
significant changes from the first release, dated 11/04/95.

- Windows 95 by default loads SETVER.EXE and IFSHLP.SYS automatically
  when references to these programs are not found in the CONFIG.SYS
  file.  During the OPTIMIZE process, these files are detected and
  loaded high so that OPTIMIZE can control their eventual location.  A
  problem with this process resulted in a "Configuration too large for
  memory" error message in the first release of QEMM, most commonly on
  systems that had DriveSpace 3 from the Microsoft Plus! Pack installed.
  This problem has been fixed.

- Windows 95 detects obsolete 32-bit device drivers (.VxDs) listed in
  SYSTEM.INI and replaces them silently with Windows 95 versions. As
  part of this process, Windows 95 fails to take into account QEMM's
  presence.  This failure would lead to Windows 95 attempting to return
  control to the underlying version of DOS. Alas, in this case, Windows
  does so in a way that causes the processor to report an Exception #13
  at address FFFF:FFFF.  QEMM has been altered to adapt to Windows 95's
  obliviousness in this regard.

- The TESTBIOS program that is part of the OPTIMIZE process has been
  slightly modified to improve Stealth Testing on some machines,
  particularly those with AMI BIOSes.  PLEASE TAKE NOTE OF THE SECTION
  "OPTIMIZE'S STEALTH TESTING PROCESS" IN YOUR UPDATED README.TXT FILE!
  This is the best way to ensure that QEMM works properly on your
  machine.

- A problem in MagnaRAM that caused long delays or apparent lockups on
  Windows 95 machines with caching IDE controllers (e.g. the Promise
  4030 EIDE VL and the SIIG Professional models) has been fixed.  This
  problem was most commonly seen in combination with Symantec's Windows
  95 versions of Norton Utilities and Norton AntiVirus.

- There is now an option to suppress the animation of the MagnaRAM logo,
  which could cause stuttering startup sounds on some machines.

  Windows 3.1 users who don't like the expanding RAM chip should
  place the line

  FASTLOGO=ON

  in the [Quarterdeck_MagnaRAM] section of the Windows SYSTEM.INI file.

  Windows 95 users should use the Windows REGEDIT utility to add a new
  string value to the Registry. Start REGEDIT via the Run commmand on
  the Start Menu; then, in succession, click on

   HKEY_LOCAL_MACHINE
   System
   CurrentControlSet
   Services
   VxD
   Quarterdeck_MagnaRAM

  This will display the MagnaRAM settings.  Select Edit from the menu
  bar, then New, then String Value.  Type "FASTLOGO", and press Enter.
  Then right-click on the word FASTLOGO, and click on "Modify".  In the
  dialog box that appears, type the word "ON" in the Value Data field.
  Click on OK, and close REGEDIT via the File menu.

- Resource Manager has been updated to address conflicts with several
  applications (most notably AutoCAD) and several video cards (most
  significantly certain types that display more than 256 colors, and
  those that are compatible with XGA and 8514 standards, including the
  ATI mach8, mach32, and mach64 cards).

- There is a new feature in Resource Manager's .INI file; this is the
  [TurnOffApp] profile string.  By specifying the filename of an
  application that seems to conflict with Resource Manager, you turn off
  Resource Manager's services for that application.  For example, if you
  were to determine that the Whizzo Word Processor conflicted with
  Resource Manager, enter the line

  [TurnOffApp]
  whizzo.exe=off

  Note that the value you specify (true, false, on, off, 1, or
  0) doesn't matter; as long as the filename is in place,
  Resource Manager will be off for that application.

- QEMMWIN, the utility that displays memory information in real
  time under Windows, has been made more robust.  QEMMWIN now
  also includes a feature that allows you to keep the QEMMWIN
  display on top.  This setting can be found under the system
  menu in the upper left corner of the window.  Note that only
  QEMMWIN's main window will remain on top; if you choose to
  display any of the "Details" screens, other applications may
  be displayed over QEMMWIN.

  QEMMWIN's Physical Memory bar chart reports the amount of physical
  memory that Windows' DPMI server took over from the XMS memory manager
  at Windows startup time.  This is neither the amount of memory
  installed on the machine nor the amount available after Windows starts
  up.  Applications such as disk caches can allocate memory from XMS
  before Windows is started, reducing the amount of physical memory
  available to Windows. WIN386.EXE and KRNL386.EXE allocate memory from
  the DPMI server when Windows starts, which can account for further
  differences between the amount of physical memory available and the
  amount of physical memory reported by QEMMWIN.

- Manifest now includes the ability to edit the MSDOS.SYS text file that
  is used for boot configuration options under Windows 95. Before
  editing this file, however, get information on the options available
  by consulting any of the widely-available books on the innards of
  Windows 95, or the Microsoft Windows 95 Resource Kit.  Manifest will
  check carefully to avoid editing a pre-DOS 7 MSDOS.SYS file, and will
  automatically ensure that the Windows 95/DOS 7 file is longer than its
  minimum length of 1024 bytes.

  Manifest has also been updated to improve the detection of Cyrix
  processors and Trident video chipsets.

- A Manifest hint to run the OPTIMIZE process is no longer as
  persistent as it once was.

- QSETUP offers the same ability to edit Windows 95's MSDOS.SYS as
  Manifest does.  QSETUP also includes minor changes to clarify the
  display of MagnaRAM's buffer size.

*********************************************************************
*      This file and the files that accompany it may be freely      *
*  distributed, as long as they are distributed together, in their  *
* entirety, and are not distributed for profit.  They are intended  *
*    for the sole use of registered users of Quarterdeck QEMM.      *
*           Copyright (c) 1996 Quarterdeck Corporation              *
********************  E N D   O F   F I L E  ************************

